function slideShow() {
    var $active = $('#gallery img.active');
    if ( $active.length == 0 ) $active = $('#gallery img:last');

    var $next =  $active.next().length ? $active.next()
        : $('#gallery img:first');

    $active.addClass('last-active');

    $next.css({opacity: 0.0})
        .addClass('active')
        .animate({opacity: 1.0}, 1000, function() {
            $active.removeClass('active last-active');
	});
}

$(document).ready(function() {
	setInterval( "slideShow()", 7000 );
});